@echo off
rem
rem @(#)00  1.2  src/sentry/client/installcpf.bat, hc.client.nac, scm5110, 060628a  6/28/06  01:17:48 
rem
rem Licensed Materials - Property of IBM
rem 5724-F82
rem (C) Copyright IBM Corp.  2003 - 2006
rem All Rights Reserved
rem US Government Users Restricted Rights -Use, duplication or 
rem disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
rem
rem


setlocal

REM # flag indicating restart is needed if set to 1
SET restart=0

REM # flag indicating disassociation is needed if set to 1
SET disassociate=0


REM # ENTER MAIN PSEUDO-FUNCTION
goto setup

REM #################################################
REM #                                               #
REM # setup                                         # 
REM #                                               #
REM #  Locates the JVM, sets the classpath, and     #
REM #  calls getcmd                                 #
REM #                                               #
REM #################################################

:setup
if "%JAC_HOME%" == "" goto _scm
cd %JAC_HOME%
goto set_jvm

:_scm
cd %SCM_CLIENT_INST_DIR%
goto _set_jvm

:_set_jvm
if exist ..\_jvm\bin\java.exe goto _new_java
set J_CMD=.\_jvm\bin\java
goto _jvm_set

:_new_java
set J_CMD=..\_jvm\bin\java

:_jvm_set
cd %SCM_CLIENT_INST_DIR%
set SCM_CP=..\jars\clientPII.jar;..\jars\client.jar
set BOOTCP=..\jars\jacsecurity.jar;..\jars\jlog.jar


REM #################################################
REM #                                               #
REM # getcmd                                        # 
REM #                                               #
REM #  Recursively calls itself to parse command    #
REM #  line arguments                               #
REM #                                               #
REM #################################################

:getcmd
SHIFT
if "%0" == "-restart" goto _set_restart
if "%0" == "-disassociate" goto _set_disassociate
if %restart% == 1 goto stop
goto install

:_set_restart
SET restart=1
goto getcmd

:_set_disassociate
SET disassociate=1
goto getcmd


REM #################################################
REM #                                               #
REM # stop                                          # 
REM #                                               #
REM #  Stops the client only if it is running, a    #
REM #  and a CPF file was provided and exists       #
REM #                                               #
REM #################################################

:stop
if exist "%0" goto _do_stop
SET restart=0
goto install

:_do_stop
if exist lock net stop "SCM Client"
goto install


REM #################################################
REM #                                               #
REM # install                                       # 
REM #                                               #
REM #  Runs installcpf, and prints usage message if #
REM #  needed                                       #
REM #                                               #
REM #################################################

:install
%J_CMD% -DSCM_CLIENT_INST_DIR="%SCM_CLIENT_INST_DIR%" -classpath %SCM_CP%;%BOOTCP% com.ibm.scm.nac.cpfutils.ClientPolicyDeployer %0
if %ERRORLEVEL% == 2 goto end
if %disassociate% == 1 goto disassociate
goto end


REM #################################################
REM #                                               #
REM # disassociate                                  # 
REM #                                               #
REM #  Deletes server-based files if they exist     #
REM #                                               #
REM #################################################

:disassociate
if exist schedules\main.sch del schedules\main.sch
if exist client.security del client.security
goto end



REM #################################################
REM #                                               #
REM # end                                           #
REM #                                               #
REM #  Performs cleanup, and restarts if needed     #
REM #                                               #
REM #################################################

:end
if %restart% == 1 net start "SCM Client"
